// NetFinderDlg.h : header file
//

#if !defined(AFX_NETFINDERDLG_H__943D618A_9F20_44B6_B104_01673B931D9F__INCLUDED_)
#define AFX_NETFINDERDLG_H__943D618A_9F20_44B6_B104_01673B931D9F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include <afxtempl.h>

/////////////////////////////////////////////////////////////////////////////
// CNetFinderDlg dialog

//     
UINT ThreadSearchProc( LPVOID pParam );
//        
//   ,      ,    
UINT ThreadShellExecute( LPVOID pParam );
// 
#define SEARCH_MYTEX_NAME "NRSearcMytex"

class CNetFinderDlg : public CDialog
{
// Construction
public:

	void Search();
	~CNetFinderDlg();
	
	BOOL FindFiles(HTREEITEM hParent, LPCTSTR lpFolderName, LPCTSTR lpFileMask);
	CNetFinderDlg (CWnd* pParent = NULL);	// standard constructor
	BOOL WINAPI EnumerateFunc(HWND hwnd, 
                    HTREEITEM hParent,
                          LPNETRESOURCE lpnr);

// Dialog Data
	//{{AFX_DATA(CNetFinderDlg)
	enum { IDD = IDD_NETFINDER_DIALOG };
	CAnimateCtrl	m_AniCtrl;
	CTreeCtrl	m_NetTree;
	CString	m_SearchTempl;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNetFinderDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//    
	void SetStatusText(LPCTSTR StatusText);
	//     ,   
	//  .      
	//   m_aFindedFiles,   
	void SetFileIcon(HTREEITEM hItem);
	//   	
	void SearchEnd();
	//   
	void SearchStart();
	//    lpFileMask     lpFolderName 
	//     m_NetTree   hParent.  -
	//  lpFileMask  ,   TRUE,  FALSE
	//      FindFiles
	BOOL FindFilesInSubDir(HTREEITEM hParent, LPCTSTR lpFolderName, LPCTSTR lpFileMask);
	
	HICON m_hIcon;
	CArray <CString,CString> m_aFindedFiles;
	CArray <int,int> m_aIdx;
	CStatusBarCtrl m_StatusBar;
	CImageList m_IconList;
	//    m_IconList;
	int m_iBaseIconQty;
	int m_iFindedItem;
	HINSTANCE m_hShellDll;
	// ,     
	BOOL m_bInAir;
	//    
	HANDLE m_hSearchMutex;
//	CAnimateCtrl m_AniCtrl;
	// Generated message map functions
	//{{AFX_MSG(CNetFinderDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg void OnSearch();
	afx_msg void OnDblclkTree(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnAbout();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NETFINDERDLG_H__943D618A_9F20_44B6_B104_01673B931D9F__INCLUDED_)
